Subject: bug#45103: [feature/native-comp] support re-dumping support

From: Y Qu <[email-masked]>
Date: Mon, 7 Dec 2020 22:58:44 +0000

This response is just to retitle.

________________________________
发件人: Y Qu <[email-masked]>
发送时间: 2020年12月8日星期二 06:43
收件人: Andrea Corallo
抄送: [email-masked]
主题: Re: bug#45103: 28.0.50; feature/native-comp:Trying to load incoherent dumped eln file

Hi, Andrea:

Thanks for your quick response!

There is indeed a demand for this feature. You can find a discussion in Chinese  on https://emacs-china.org/t/pdump-native-comp/15234.

I'd love to see this feature officially supported. Pdumper has been a feature of Emacs 27. After you merge native-comp branch into master branch in the future, I believe there will definitely be more and more people to try this combination.

Ying

________________________________
发件人: Andrea Corallo <[email-masked]>
发送时间: 2020年12月8日星期二 00:05
收件人: Y Qu
抄送: [email-masked]
主题: Re: bug#45103: 28.0.50; feature/native-comp:Trying to load incoherent dumped eln file

retitle [feature/native-comp] support re-dumping support
thanks

Y Qu <[email-masked]> writes:

> Dear maintainers:
>
> I try to use pdumper together with native-comp but fail.
>
> To reproduce:
>
>     $ emacs --batch -Q -eval '(dump-emacs-portable "~/.emacs.d/.cache/dumps/emacs.pdmp")'
>     $ emacs --dump-file=~/.emacs.d/.cache/dumps/emacs.pdmp
>
> You can get the following message:
>
>     emacs: Trying to load incoherent dumped eln file
> /usr/sbin/../lib/emacs/28.0.50/native-lisp/28.0.50-x86_64-pc-linux-gnu-8fc0b1a455d90f52078950afaab3b40e/lisp-mode-410874a46ab8852855281f021ca61fe7-0babcd5810b0347a56a4b722059f6199.eln
>
>
> This issue appears on build from both chaotic-aur/emacs-pgtk-native-comp and archlinuxcn/emacs-native-comp.
>
> Thank you for your time!
>
> Ying Qu

Hi Ying Qu,

I guess you are the first trying to re-dump a native compiled Emacs
session.  Despite being in principle possible there's certanly something
to look at.

In general my understanding is that ATM we do not support officially
Emacs re-dumps, so also on a vanilla build it may work or not.

As a consequence I'm not sure this is a requirement for this feature
ATM.  Perhaps we'll get some other opinion on this.

Thanks

  Andrea